package net.sf.jasperreports.engine.base;

import java.io.Serializable;
import net.sf.jasperreports.engine.JRExpressionChunk;
import net.sf.jasperreports.engine.JRRuntimeException;

public class JRBaseExpressionChunk implements JRExpressionChunk, Serializable {
  private static final long serialVersionUID = 10200L;
  
  protected byte type = 1;
  
  protected String text = null;
  
  protected JRBaseExpressionChunk() {}
  
  protected JRBaseExpressionChunk(JRExpressionChunk queryChunk, JRBaseObjectFactory factory) {
    factory.put(queryChunk, this);
    this.type = queryChunk.getType();
    this.text = queryChunk.getText();
  }
  
  public byte getType() {
    return this.type;
  }
  
  public String getText() {
    return this.text;
  }
  
  public Object clone() {
    try {
      return super.clone();
    } catch (CloneNotSupportedException e) {
      throw new JRRuntimeException(e);
    } 
  }
}
